import { IGetPaymentGatewayBanksResponse } from "@/models/getPaymentGatewayBanksRespone";
import { IGetTransactionBankListResponse } from "@/models/getTransactionBankListResponse";

export const fakeNormalBanksBeforeFirstTime: IGetTransactionBankListResponse = {
  CompanyBanks: [
    {
      Id: 23,
      BankName: "1ABAMYR",
      BankAccountName: "1MYR",
      BankAccountNumber: "12345678",
      Currency: "MYR",
      Group: 0,
      Status: 1,
      DepositMin: 100.0,
      DepositMax: 5000000.0,
      WithdrawalMin: 50.0,
      WithdrawalMax: 10000.0,
      IsAutoDeposit: false,
    },
    {
      Id: 24,
      BankName: "1WINGMYR",
      BankAccountName: "1MYR",
      BankAccountNumber: "9090887264",
      Currency: "MYR",
      Group: 0,
      Status: 1,
      DepositMin: 100.0,
      DepositMax: 5000000.0,
      WithdrawalMin: 50.0,
      WithdrawalMax: 10000.0,
      IsAutoDeposit: false,
    },
  ],
  PlayerBankOptions: [
    {
      Id: 12,
      BankName: "DemoBankMYR",
      Priority: 5,
    },
    {
      Id: 6192,
      BankName: "myr test",
      Priority: 1,
    },
  ],
  PlayerBankListAfterFirstTimeDeposit: [],
  IsTransferMethodDepositEnable: true,
  IsTransferMethodWithdrawalEnable: true,
  IsTransferMethodEnable: true,
  IsDecimalAllow: false,
  AvailablePropertyList: [
    {
      PropertyStatus: "Required",
      PropertyName: "CustomizeBankName",
      DisplayOrder: 1,
    },
  ],
  IsSuccess: true,
  ErrorCode: 0,
  ErrorMessage: "",
};

export const normalBanksAfterFirstTime: IGetTransactionBankListResponse = {
  CompanyBanks: [
    {
      Id: 23,
      BankName: "1ABAMYR",
      BankAccountName: "1MYR",
      BankAccountNumber: "12345678",
      Currency: "MYR",
      Group: 0,
      Status: 1,
      DepositMin: 100.0,
      DepositMax: 5000000.0,
      WithdrawalMin: 50.0,
      WithdrawalMax: 10000.0,
      IsAutoDeposit: false,
    },
    {
      Id: 24,
      BankName: "1WINGMYR",
      BankAccountName: "1MYR",
      BankAccountNumber: "9090887264",
      Currency: "MYR",
      Group: 0,
      Status: 1,
      DepositMin: 100.0,
      DepositMax: 5000000.0,
      WithdrawalMin: 50.0,
      WithdrawalMax: 10000.0,
      IsAutoDeposit: false,
    },
  ],
  PlayerBankOptions: [
    {
      Id: 12,
      BankName: "DemoBankMYR",
      Priority: 5,
    },
    {
      Id: 6192,
      BankName: "myr test",
      Priority: 1,
    },
  ],
  PlayerBankListAfterFirstTimeDeposit: [
    {
      CustomerId: 1040819,
      BankGroup: 1,
      CompanyBankName: "",
      CompanyBankAccountName: "",
      CompanyBankAccountNumber: "",
      PlayerBankId: 6192,
      PlayerBankName: "myr test",
      PlayerBankAccountNumber: "12345",
      PlayerBankAccountName: "13124",
    },
  ],
  IsTransferMethodDepositEnable: true,
  IsTransferMethodWithdrawalEnable: true,
  IsTransferMethodEnable: true,
  IsDecimalAllow: false,
  AvailablePropertyList: [
    {
      PropertyStatus: "Required",
      PropertyName: "CustomizeBankName",
      DisplayOrder: 1,
    },
  ],
  IsSuccess: true,
  ErrorCode: 0,
  ErrorMessage: "",
};

export const fakePaymentBanks: IGetPaymentGatewayBanksResponse = {
  AvailableBanksForDeposit: [
    {
      BankName: "Maybank",
      BankCode: "MBB",
      Currency: "MYR",
      CountryCode: "",
      PpId: 202,
      DepositMin: 1.0,
      DepositMax: 50.0,
      WithdrawalMin: 91.0,
      WithdrawalMax: 0.0,
      PPDepositMin: 1.0,
      PPDepositMax: 50.0,
      PPWithdrawalMin: 0.0,
      PPWithdrawalMax: 0.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: false,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "RHB Banking Group",
      BankCode: "RHB",
      Currency: "MYR",
      CountryCode: "",
      PpId: 202,
      DepositMin: 1.0,
      DepositMax: 50.0,
      WithdrawalMin: 91.0,
      WithdrawalMax: 0.0,
      PPDepositMin: 1.0,
      PPDepositMax: 50.0,
      PPWithdrawalMin: 0.0,
      PPWithdrawalMax: 0.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: false,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "AmBank Group",
      BankCode: "AMB",
      Currency: "MYR",
      CountryCode: "",
      PpId: 207,
      DepositMin: 30.0,
      DepositMax: 50000.0,
      WithdrawalMin: 100.0,
      WithdrawalMax: 45000.0,
      PPDepositMin: 30.0,
      PPDepositMax: 50000.0,
      PPWithdrawalMin: 0.0,
      PPWithdrawalMax: 0.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: false,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "Hong Leong Bank Berhad",
      BankCode: "HLB",
      Currency: "MYR",
      CountryCode: "",
      PpId: 202,
      DepositMin: 1.0,
      DepositMax: 50.0,
      WithdrawalMin: 91.0,
      WithdrawalMax: 0.0,
      PPDepositMin: 1.0,
      PPDepositMax: 50.0,
      PPWithdrawalMin: 0.0,
      PPWithdrawalMax: 0.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: false,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "Hong Leong",
      BankCode: "59f413ca94c67",
      Currency: "MYR",
      CountryCode: "",
      PpId: 201,
      DepositMin: 200.0,
      DepositMax: 200000.0,
      WithdrawalMin: 200.0,
      WithdrawalMax: 10000.0,
      PPDepositMin: 200.0,
      PPDepositMax: 200000.0,
      PPWithdrawalMin: 200.0,
      PPWithdrawalMax: 200000.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: true,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "CIMB",
      BankCode: "59f413f699727",
      Currency: "MYR",
      CountryCode: "",
      PpId: 201,
      DepositMin: 200.0,
      DepositMax: 200000.0,
      WithdrawalMin: 0.0,
      WithdrawalMax: 4500.0,
      PPDepositMin: 200.0,
      PPDepositMax: 200000.0,
      PPWithdrawalMin: 200.0,
      PPWithdrawalMax: 200000.0,
      IsEnabled: 1,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      IsDeposit: true,
      IsWithdrawal: true,
      CryptoCurrencyNetwork: [],
    },
    {
      BankName: "No Bank Code",
      BankCode: "NoBankCode",
      Currency: "MYR",
      CountryCode: "",
      PpId: 206,
      DepositMin: 0.0,
      DepositMax: 0.0,
      WithdrawalMin: 50.0,
      WithdrawalMax: 0.0,
      PPDepositMin: 0.0,
      PPDepositMax: 0.0,
      PPWithdrawalMin: 50.0,
      PPWithdrawalMax: 0.0,
      IsEnabled: 1,
      PaymentMethod: "CryptoCurrency",
      PaymentMethodDisplayName: "Cryptocurrency",
      IsDeposit: true,
      IsWithdrawal: true,
      CryptoCurrencyNetwork: ["USDT_TRC20", "USDT_ERC"],
    },
  ],
  PlayerPaymentWithdrawalBankInfo: {
    BankName: "Maybank",
    BankAccountName: "Lapii Demo Account",
    BankAccountNumber: "12345",
  },
  PaymentMethodsForDeposit: [
    {
      DisplayOrder: 1,
      PaymentMethodId: 0,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      PaymentMethodIconUrl: "",
    },
    {
      DisplayOrder: 2,
      PaymentMethodId: 5,
      PaymentMethod: "CryptoCurrency",
      PaymentMethodDisplayName: "Cryptocurrency",
      PaymentMethodIconUrl: "",
    },
  ],
  PaymentMethodsForWithdrawal: [
    {
      DisplayOrder: 3,
      PaymentMethodId: 1,
      PaymentMethod: "BankTransfer",
      PaymentMethodDisplayName: "Bank Transfer",
      PaymentMethodIconUrl: "",
    },
    {
      DisplayOrder: 1,
      PaymentMethodId: 5,
      PaymentMethod: "CryptoCurrency",
      PaymentMethodDisplayName: "Cryptocurrency",
      PaymentMethodIconUrl: "",
    },
    {
      DisplayOrder: 2,
      PaymentMethodId: 0,
      PaymentMethod: "InternetBanking",
      PaymentMethodDisplayName: "Internet Banking",
      PaymentMethodIconUrl: "",
    },
  ],
  AvailableBanksForWithdrawal: [
    {
      BankName: "Alliance Bank",
      WithdrawalMin: 50.0,
      WithdrawalMax: 50000.0,
      PaymentMethod: "BankTransfer",
      CryptoCurrencyNetwork: [],
      PpId: 20,
    },
    {
      BankName: "Maybank",
      WithdrawalMin: 50.0,
      WithdrawalMax: 5000.0,
      PaymentMethod: "BankTransfer",
      CryptoCurrencyNetwork: [],
      PpId: 20,
    },
    {
      BankName: "No Bank Code",
      WithdrawalMin: 50.0,
      WithdrawalMax: 0.0,
      PaymentMethod: "CryptoCurrency",
      CryptoCurrencyNetwork: ["USDT_TRC20", "USDT_ERC"],
      PpId: 20,
    },
    {
      BankName: "CIMB",
      WithdrawalMin: 200.0,
      WithdrawalMax: 4500.0,
      PaymentMethod: "InternetBanking",
      CryptoCurrencyNetwork: [],
      PpId: 20,
    },
    {
      BankName: "Hong Leong",
      WithdrawalMin: 200.0,
      WithdrawalMax: 10000.0,
      PaymentMethod: "InternetBanking",
      CryptoCurrencyNetwork: [],
      PpId: 20,
    },
  ],
  WithdrawalLimit: 0.0,
  UsdtErcWithdrawalExchangeRate: 0.119693,
  UsdtTrc20WithdrawalExchangeRate: 0.119693,
  IsTransferMethodDepositEnable: true,
  IsTransferMethodWithdrawalEnable: true,
  IsTransferMethodEnable: true,
  IsPaymentPasswordEnable: true,
  IsPaymentPasswordSet: true,
  IsDecimalAllow: false,
  IsSuccess: true,
  ErrorCode: 0,
  ErrorMessage: "",
};
